No longer able to use CD's from rhythmbox

Bug #431027 reported by Soren Hansen on 2009-09-16
98
This bug affects 22 people
Affects Status Importance Assigned to Milestone
gst-plugins-base0.10 (Ubuntu)
Medium
Unassigned
rhythmbox (Ubuntu)
Medium
Unassigned

Bug Description

After dist-upgrading this morning, I could no longer rip CD's. When I click the button to rip the CD, I get a pop-up telling me that it's "Unable to locate encoding profile for mime-type ".

I blame this source package, because downgrading its binaries to the ones from 0.10.24-2 makes it work again. In other words, it broke between 0.10.24-2 and 0.10.24.2-2.

ProblemType: Bug
Architecture: amd64
Date: Wed Sep 16 23:29:52 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: libgstreamer-plugins-base0.10-0 0.10.24.2-2
ProcEnviron:
 PATH=(custom, user)
 LANG=da_DK.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.34-generic
SourcePackage: gst-plugins-base0.10
Uname: Linux 2.6.31-10-generic x86_64

Soren Hansen (soren) wrote :
Soren Hansen (soren) wrote :

It turns out that it's rhythmbox's fault. gstreamer grew a richer URI format for cdda:// URI's, and rhythmbox has been using a different format for a long time, which has happened to work, because gstreamer ignored the extra data in there.

affects: gst-plugins-base0.10 (Ubuntu) → rhythmbox (Ubuntu)
Soren Hansen (soren) wrote :
Changed in gst-plugins-base0.10 (Ubuntu):
status: New → Triaged
Changed in rhythmbox (Ubuntu):
status: New → Triaged
Changed in gst-plugins-base0.10 (Ubuntu):
importance: Undecided → Medium
Changed in rhythmbox (Ubuntu):
importance: Undecided → Medium
Soren Hansen (soren) wrote :

Marked the bug tasks as medium. I think being able to rip CD's from our main media application is rather important.

Soren Hansen (soren) wrote :

From #gstreamer:
12:00:57 < soren> moch: Will that rhythmbox patch from yesterday make it into the upcoming gnome release?
12:08:58 < ~moch> soren: it made it into the release I put out about half an hour ago, yes

...so we should get the Rhythmbox side fixed with the next GNOME sync.

Soren Hansen (soren) wrote :

...and the next gstreamer-plugins-base0.10 pre-release will include the rest of the fixes. It's due out early next week, so let's just wait for that to land.

Michael Stempin (mstempin) wrote :

This does not seem to be fixed by now.
Have the libgstreamer-plugins-base0.10-0 landed yet?

The version I have here is 0.10.24.3-1

Sound-Juicer rips Audio CDs just fine. Rhythmbox does not.

Let me know if you need any more info.

summary: - No longer able to rip CD's from rhythmbox
+ No longer able to use CD's from rhythmbox
Laurent Dinclaux (dreadlox) wrote :

solved for me in today's update

Soren Hansen (soren) on 2009-10-08
Changed in gst-plugins-base0.10 (Ubuntu):
status: Triaged → Fix Released
Changed in rhythmbox (Ubuntu):
status: Triaged → Fix Released
darren (dazndom-gmail) on 2009-11-03
Changed in rhythmbox (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions